
#include <symbols.h>
#ifdef DEBUG
#include <stdio.h>
#include <sys/syscall.h>
#define sys_write(s) syscall(SYS_write, 2, (s), strlen(s))
#endif

_fxstat64(version, fd, buf)
int version;
int fd;
char *buf;
{
	int retval;
#ifdef DEBUG
	sys_write("called _fxstat64\n");
#endif
	/* call 32 bit stat function */
	retval = pvfs_fstat(fd, buf);
	/* convert from 32 bit stat to 64 bit stat */
	memmove(buf+64, buf+56, 32);
	memset(buf+60, 0 , 4);
	memmove(buf+52, buf+48, 8);
	memset(buf+48, 0 , 4);
	return retval;
	}

strong_alias(_fxstat64, __fxstat64);
