#!/bin/sh

#
# OBJECT DIRECTORIES
#
# mkdir glibc_shared
# mkdir glibc_static

#
# SOURCE FILES
#
tar xzf orig/glibc-990416.tar.gz
mv glibc glibc-2.1.1
cd glibc-2.1.1/
tar xzf ../orig/glibc-crypt-2.1.tar.gz
tar xzf ../orig/glibc-compat-2.1.0.tar.gz

#
# PATCHES
#
patch -p1 < ../orig/glibc-2.1-rhpaths.patch*
patch -p1 < ../orig/glibc-2.1-noversion.patch*
patch -p1 < ../orig/glibc-2.1-cppfix.patch*
patch -p1 < ../orig/glibc-2.1.1-nscd.patch*
patch -p0 < ../orig/glibc-2.1.1-libio-vfork.patch*
patch -p1 < ../orig/glibc-2.1.1-libc4.patch*
patch -p1 < ../orig/glibc-2.1.1-noctty.patch*
patch -p0 < ../orig/glibc-2.1.1-fstatvfs.patch*
patch -p0 < ../orig/glibc-2.1.1-nscdhup.patch*
patch -p0 < ../orig/glibc-2.1-alpha-rx164.patch*

#
# CONFIGURING AND BUILDING
#

mkdir build-i386-linux
cd build-i386-linux
CC=egcs CFLAGS="-g -O3" ../configure --prefix=/usr \
	--enable-add-ons=yes --without-cvs i386-redhat-linux
make -r CFLAGS="-g -O3"

