#!/bin/sh

#
# OBJECT DIRECTORIES
#
# mkdir glibc_shared
# mkdir glibc_static

#
# SOURCE FILES
#
tar xzf orig/glibc-2.1-990920.tar.gz
mv glibc-2.1 glibc-2.1.2
cd glibc-2.1.2/
tar xzf ../orig/glibc-crypt-2.1.tar.gz
tar xzf ../orig/glibc-compat-2.1.2.tar.gz

#
# PATCHES
#
patch -p1 < ../orig/glibc-2.1-rhpaths.patch
patch -p1 < ../orig/glibc-2.1-noversion.patch
patch -p1 < ../orig/glibc-2.1-cppfix.patch
patch -p0 < ../orig/glibc-2.1.1-nscdhup.patch
patch -p1 < ../orig/glibc-2.1-xdr_ypall.patch
patch -p1 < ../orig/glibc-2.1-thrlock.patch
patch -p1 < ../orig/glibc-2.1-sparcll.patch
patch -p1 < ../orig/glibc-2.1-nojaydbg.patch
patch -p1 < ../orig/glibc-2.1-version.patch

#
# PVFS PATCHES
#
patch -p1 < ../orig/glibc-2.1.2-bufsiz.patch

#
# CONFIGURING AND BUILDING
#

mkdir build-i386-linux
cd build-i386-linux
CC=egcs CFLAGS="-g -O3" ../configure --prefix=/usr \
	--enable-add-ons=yes --without-cvs i386-redhat-linux
make -r CFLAGS="-g -O3" PARALLELMFLAGS=-s

