/* Program to write metadata files, initially for testing */

#include <errno.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/file.h>
#include <fcntl.h>
#include <unistd.h>
#include <meta.h>
#include <req.h>

extern int errno;

void main(argc, argv)
int argc;
char **argv;
{

int mdfd;
fmeta_p mdf1;
fmeta_p mdf2;
int flags;
int mode;
int size, i;
int uid, gid;
mreq  requ;
unsigned short modes;

	size = sizeof(fmeta);
	mdf2 =  (fmeta_p)malloc(size);
	mode = 0;
	
	if ((mdfd = open(argv[1], O_RDONLY, mode)) < 0)  {
		perror("Error opening file.\n");
		exit (0);
		}

	if ((i = read(mdfd, mdf2, size)) < 1) {
		printf("Error reading file.\n");
		exit (0);
	}

	printf("UID is: %d\n",mdf2->u_stat.st_uid);
	printf("GID is: %d\n",mdf2->u_stat.st_gid);
	printf("Size is: %d\n",mdf2->u_stat.st_size);
	printf("Base is: %d\n",mdf2->p_stat.base);
	printf("Ssize is: %d\n",mdf2->p_stat.ssize);
	printf("Pcount is: %d\n",mdf2->p_stat.pcount);
	printf("TimeA is: %d\n",mdf2->u_stat.st_atime); 
	printf("Mode  is: %o\n",(unsigned short)mdf2->u_stat.st_mode);
	modes = mdf2->u_stat.st_mode | (0100000);
	printf("Mode  is: %o\n",modes);
	
	if ((i = close(mdfd)) < 0) {
		printf("Error closing file\n");
		exit(0);
	}	

}



