
#include <symbols.h>
#ifdef DEBUG
#include <stdio.h>
#include <sys/syscall.h>
#define sys_write(s) syscall(SYS_write, 2, (s), strlen(s))
#endif

int __real_chown(path, owner, group)
char *path;
int owner;
int group;
{
#ifdef DEBUG
	sys_write("called chown\n");
#endif
	return pvfs_chown(path, owner, group);
}

strong_alias(__real_chown, _real_chown);
default_symbol_version(__real_chown, __chown, GLIBC_2.1);
default_symbol_version(_real_chown, chown, GLIBC_2.1);
strong_alias(__real_chown, _chown_is_lchown);
strong_alias(__real_chown, __chown_is_lchown);
strong_alias(__real_chown, __libc_chown);
