
#include <symbols.h>
#include <dirent.h>

#ifdef DEBUG
#include <stdio.h>
#include <sys/syscall.h>
#define sys_write(s) syscall(SYS_write, 2, (s), strlen(s))
#endif

int getdents(int fd, struct dirent *buf, unsigned int nbytes)
{
#ifdef DEBUG
	sys_write("called getdents\n");
#endif
	return pvfs_getdents(fd, buf, nbytes);
}

strong_alias(getdents, __getdents);
strong_alias(getdents, __libc_getdents);
