
#define strong_alias(realname, aliasname) \
	extern __typeof (realname) aliasname __attribute__ ((alias(#realname)))

#define weak_alias(realname, aliasname) \
	extern __typeof (realname) aliasname __attribute__ ((weak,alias(#realname)))

#ifdef VERSION

#define symbol_version(realname, aliasname, version) \
	__asm__(".symver " #realname "," #aliasname "@" #version)

#define default_symbol_version(realname, aliasname, version) \
	__asm__(".symver " #realname "," #aliasname "@@" #version)

#else

#define symbol_version(realname, aliasname, version) \
	strong_alias(realname, aliasname)

#define default_symbol_version(realname, aliasname, version) \
	strong_alias(realname, aliasname)

#endif
